Bug 1128779 - Remote agent installation steps are not visible in GUI
Summary: Remote agent installation steps are not visible in GUI
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Operations Network
Classification: JBoss
Component: UI
Version: JON 3.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ER05
: JON 3.3.0
Assignee: Michael Burman
QA Contact: Mike Foley
URL:
Whiteboard:
Depends On:
Blocks: JON3-30, PRODMGT-542 1128780
TreeView+ depends on / blocked
 
Reported: 2014-08-11 14:24 UTC by Jeeva Kandasamy
Modified: 2014-12-11 14:03 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-11 14:03:22 UTC
Type: Bug


Attachments (Terms of Use)
Remote-agent-status-log-on-gui (102.49 KB, image/jpeg)
2014-08-11 14:24 UTC, Jeeva Kandasamy
no flags Details
Remote-agent-status-log-on-gui-ON_QA (162.61 KB, application/octet-stream)
2014-09-08 10:53 UTC, Jeeva Kandasamy
no flags Details
remote_install_logTbl (160.15 KB, image/png)
2014-10-23 12:38 UTC, Armine Hovsepyan
no flags Details
remote_install_logTbl_fullscr (213.94 KB, image/png)
2014-10-23 12:39 UTC, Armine Hovsepyan
no flags Details

Description Jeeva Kandasamy 2014-08-11 14:24:16 UTC
Created attachment 925780 [details]
Remote-agent-status-log-on-gui

Description of problem:
Remote agent installation steps are not visible in GUI. There is no scroll bar to view installation status table. 

Version-Release number of selected component (if applicable):
JBoss Operations Network
Version : 3.3.0.DR01
Build Number : 6468454:dda0a47
GWT Version : 2.5.0
SmartGWT Version : 3.0p

How reproducible:
always

Steps to Reproduce:
1. Navigate to 'Administration->Topology->Agents->New'
2. Enter wrong password for SSH authentication
3. Click on 'Install Agent'
4. Wait a moment to get complete the installation.
5. Installation status table is not visible.


Additional info: Screen shot is attached

Comment 2 Michael Burman 2014-08-28 20:53:42 UTC
Fixed in master:

commit 66effaa0b473c133c4f1e667b0bea4436d85cbff
Merge: 7bef780 c1fdabc
Author: John Mazzitelli <mazz@redhat.com>
Date:   Thu Aug 28 16:17:59 2014 -0400

    Merge pull request #114 from burmanm/remote_agent
    
    Modify remote agent install UI and make userfriendlier error messages

commit c1fdabc180a8b63d43813d4640b24b686f2aad44
Author: Michael Burman <miburman@redhat.com>
Date:   Wed Aug 20 17:29:05 2014 +0300

    [BZ 1131495] Refactor SSHInstallUtility to catch error messages and throw exceptions if operations fail, instead of returning just Failed te
    
    [BZ 1132051] Catch scp errors when installing to get proper error message for missing permissions.
    
    [BZ 1128772] Catch some basic error messages and create a friendlier layout for them
    
    [BZ 1128779] After the agent has been installed, refresh the UI to show only relevant information.
    
    [BZ 1128782] While installing, show window which indicates the installation is running

Comment 3 Jay Shaughnessy 2014-08-29 17:55:42 UTC
This is handled by the same cherry-pick done for Bug 1132051.

Release/jon3.3.x commit 83f133d17ce4eb377fc2b398b109c41da3ef6c6e
Author: John Mazzitelli <mazz@redhat.com>
Date:   Thu Aug 28 16:17:59 2014 -0400

    Merge pull request #114 from burmanm/remote_agent
    Signed-off-by: Jay Shaughnessy <jshaughn@redhat.com>

Comment 4 Simeon Pinder 2014-09-03 20:31:56 UTC
Moving to ON_QA as available for test with the following brew build:
https://brewweb.devel.redhat.com//buildinfo?buildID=381194

Comment 5 Jeeva Kandasamy 2014-09-08 10:53:38 UTC
Created attachment 935305 [details]
Remote-agent-status-log-on-gui-ON_QA

It's showing all the rows in the detailed list table. however if we expand few rows, rows in the last becomes invisible and inaccessible. Unable to access those rows until collapse the expanded rows.

It will be good if we add a scroll bar on this table. User can access any row without any issue.

Browser: Firefox 31.0
Screen resolution: 1366x768

screen shot is attached.

Comment 7 Simeon Pinder 2014-09-29 08:12:52 UTC
Moving into ER05 as didn't make the ER04 cut.

Comment 8 Michael Burman 2014-09-30 13:02:38 UTC
Fixed in master:

commit 5e4e6356863cf5950061efd123dc2fa0617c965a
Author: Michael Burman <miburman@redhat.com>
Date:   Tue Sep 30 16:01:46 2014 +0300

    [BZ 1128779] Add vertical scrollbar to the listGrid if it does not fit the window

Comment 9 Jirka Kremser 2014-10-03 12:04:17 UTC
branch:  release/jon3.3.x
link:    https://github.com/rhq-project/rhq/commit/6645770fe
time:    2014-10-03 14:03:18 +0200
commit:  6645770fe881d1ed9d7af70d1ff4b86e54f6d288
author:  Michael Burman - miburman@redhat.com
message: [BZ 1128779] Add vertical scrollbar to the listGrid if it does not fit
         the window

         (cherry picked from commit
         5e4e6356863cf5950061efd123dc2fa0617c965a) Signed-off-by: Jirka
         Kremser <jkremser@redhat.com>

Comment 10 Simeon Pinder 2014-10-21 20:24:31 UTC
Moving to ON_QA as available to test with the latest brew build:
https://brewweb.devel.redhat.com//buildinfo?buildID=394734

Comment 11 Armine Hovsepyan 2014-10-23 12:38:55 UTC
Created attachment 949848 [details]
remote_install_logTbl

Comment 12 Armine Hovsepyan 2014-10-23 12:39:28 UTC
Created attachment 949850 [details]
remote_install_logTbl_fullscr

Comment 13 Armine Hovsepyan 2014-10-23 12:40:29 UTC
verified in JON 3.3 ER05 + FF33.0
screen-shots attached


Note You need to log in before you can comment on or make changes to this bug.